net.sf.jasperreports.data

## Class XmlUtil

- java.lang.Object
- - net.sf.jasperreports.data.XmlUtil

- Deprecated.
  Replaced by `CastorUtil`.

      public class XmlUtil
      extends java.lang.Object

  Version:
    $Id: XmlUtil.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.Object` | `read(java.io.InputStream is, java.lang.Class<?> clazz)` Deprecated.
    `static java.lang.Object` | `read(java.io.InputStream is, org.exolab.castor.mapping.Mapping mapping)` Deprecated.
    `static java.lang.Object` | `read(java.io.InputStream is, java.lang.String mappingFile)` Deprecated.
    `static java.lang.Object` | `read(java.io.InputStream is, org.exolab.castor.xml.XMLContext context)` Deprecated.
    `static java.lang.Object` | `read(org.w3c.dom.Node node, java.lang.Class<?> clazz)` Deprecated.
    `static java.lang.Object` | `read(org.w3c.dom.Node node, org.exolab.castor.mapping.Mapping mapping)` Deprecated.
    `static java.lang.Object` | `read(org.w3c.dom.Node node, java.lang.String mappingFile)` Deprecated.
    `static java.lang.String` | `write(java.lang.Object object)` Deprecated.
    `static java.lang.String` | `write(java.lang.Object object, org.exolab.castor.mapping.Mapping mapping)` Deprecated.
    `static void` | `write(java.lang.Object object, org.exolab.castor.mapping.Mapping mapping, java.io.File file)` Deprecated.
    `static void` | `write(java.lang.Object object, org.exolab.castor.mapping.Mapping mapping, java.io.Writer writer)` Deprecated.
    `static java.lang.String` | `write(java.lang.Object object, java.lang.String mappingFile)` Deprecated.
    `static void` | `write(java.lang.Object object, java.lang.String mappingFile, java.io.File file)` Deprecated.
    `static void` | `write(java.lang.Object object, java.lang.String mappingFile, java.io.Writer writer)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### read

          public static java.lang.Object read(java.io.InputStream is,
                              java.lang.String mappingFile)

      Deprecated.

    - #### read

          public static java.lang.Object read(org.w3c.dom.Node node,
                              java.lang.String mappingFile)

      Deprecated.

    - #### read

          public static java.lang.Object read(java.io.InputStream is,
                              org.exolab.castor.mapping.Mapping mapping)

      Deprecated.

    - #### read

          public static java.lang.Object read(java.io.InputStream is,
                              org.exolab.castor.xml.XMLContext context)

      Deprecated.

    - #### read

          public static java.lang.Object read(org.w3c.dom.Node node,
                              org.exolab.castor.mapping.Mapping mapping)

      Deprecated.

    - #### read

          public static java.lang.Object read(java.io.InputStream is,
                              java.lang.Class<?> clazz)

      Deprecated.

    - #### read

          public static java.lang.Object read(org.w3c.dom.Node node,
                              java.lang.Class<?> clazz)

      Deprecated.

    - #### write

          public static void write(java.lang.Object object,
                   java.lang.String mappingFile,
                   java.io.Writer writer)

      Deprecated.

    - #### write

          public static void write(java.lang.Object object,
                   org.exolab.castor.mapping.Mapping mapping,
                   java.io.Writer writer)

      Deprecated.

    - #### write

          public static void write(java.lang.Object object,
                   java.lang.String mappingFile,
                   java.io.File file)

      Deprecated.

    - #### write

          public static void write(java.lang.Object object,
                   org.exolab.castor.mapping.Mapping mapping,
                   java.io.File file)

      Deprecated.

    - #### write

          public static java.lang.String write(java.lang.Object object,
                               java.lang.String mappingFile)

      Deprecated.

    - #### write

          public static java.lang.String write(java.lang.Object object,
                               org.exolab.castor.mapping.Mapping mapping)

      Deprecated.

    - #### write

          public static java.lang.String write(java.lang.Object object)

      Deprecated.

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com